# class JNI

#### package lime.system

Available on all platforms

### Static methods

###

`staticcallMember (method:Dynamic, jobject:Dynamic, a:Array<Dynamic>):Dynamic`

###

`staticcallStatic (method:Dynamic, a:Array<Dynamic>):Dynamic`

###

`staticcreateMemberField (className:String, memberName:String, signature:String):JNIMemberField`

###

`staticcreateMemberMethod (className:String, memberName:String, signature:String, useArray:Bool = false, quietFail:Bool = false):Dynamic`

###

`staticcreateStaticField (className:String, memberName:String, signature:String):JNIStaticField`

###

`staticcreateStaticMethod (className:String, memberName:String, signature:String, useArray:Bool = false, quietFail:Bool = false):Dynamic`

###

`staticgetEnv ():Dynamic`

###

`staticpostUICallback (callback:Void ‑> Void):Void`